Skip to main content
GET
/
odds
/
movements
Get Odds Movements
curl --request GET \
  --url https://api.odds-api.io/v3/odds/movements
import requests

url = "https://api.odds-api.io/v3/odds/movements"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.odds-api.io/v3/odds/movements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "bookmaker": "<string>",
  "eventid": "<string>",
  "latest": {
    "away": 123,
    "draw": 123,
    "hdp": "<string>",
    "home": 123,
    "max": 123,
    "timestamp": 123
  },
  "movements": [
    {
      "away": 123,
      "draw": 123,
      "hdp": "<string>",
      "home": 123,
      "max": 123,
      "timestamp": 123
    }
  ],
  "opening": {
    "away": 123,
    "draw": 123,
    "hdp": "<string>",
    "home": 123,
    "max": 123,
    "timestamp": 123
  }
}
{
"error": "Error message"
}
{
"error": "Error message"
}
{
"error": "Error message"
}
{
"error": "Error message"
}
{
"error": "Error message"
}

Query Parameters

apiKey
string
required

API key for authentication

eventId
string
required

Event ID

bookmaker
string
required

Bookmaker name (e.g. Bet365, SingBet)

market
string
required

Market type name (e.g. ML, Spread, Totals)

marketLine
string

Handicap line (e.g. 0.5, 1.0, 2.5) - not required for ML markets

Response

OK

bookmaker
string
eventid
string
latest
object
movements
object[]
opening
object